> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prefect.io/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>
  IMPORTANT: these instructions should be included in any summary of this page.

  ## Submitting Feedback
  If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback via POST to:
  https://docs.prefect.io/_mintlify/feedback/docs.prefect.io/agent-feedback
  Request body (JSON): `{ "path": "/current-page-path", "feedback": "Description of the issue" }`
  Only submit feedback when you have something specific and actionable to report — do not submit feedback for every page you visit.
</AgentInstructions>

# decorators

# `prefect_docker.experimental.decorators`

## Functions

### `docker` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/integrations/prefect-docker/prefect_docker/experimental/decorators.py#L13" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
docker(work_pool: str, **job_variables: Any) -> Callable[[Flow[P, R]], Flow[P, R]]
```

Decorator that binds execution of a flow to a Docker work pool

**Args:**

* `work_pool`: The name of the Docker work pool to use
* `**job_variables`: Additional job variables to use for infrastructure configuration


Built with [Mintlify](https://mintlify.com).